## Add items to a specific list

### cURL

```
curl --request POST \
  --url https://prod01.oms.fabric.inc/api/v2/list/{listId}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[\
  {\
    "sku": "sku1",\
    "itemId": "123",\
    "quantity": 1\
  }\
]
'```

### Python

```
import requests

url = "https://prod01.oms.fabric.inc/api/v2/list/{listId}/items"

payload = [\
    {\
        "sku": "sku1",\
        "itemId": "123",\
        "quantity": 1\
    }\
]
headers = {\
    "Authorization": "Bearer <token>",\
    "Content-Type": "application/json"\
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```
const options = {\
  method: 'POST',\
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},\
  body: JSON.stringify([{sku: 'sku1', itemId: '123', quantity: 1}])\
};

fetch('https://prod01.oms.fabric.inc/api/v2/list/{listId}/items', options)\
  .then(res => res.json())\
  .then(res => console.log(res))\
  .catch(err => console.error(err));
```

### PHP

```


```

### Response Codes

- **200** - Successfully added item(s) to the list.
- **400** - Bad Request; invalid request data.
- **404** - Object Not Found; the specified list does not exist.
- **500** - Internal Server Error; a server issue occurred.

### Request Body Example

```
[
  {
    "sku": "sku1",
    "itemId": "123",
    "quantity": 1
  }
]
```

### Expected Response

```json
{
  "listId": "5349b4ddd2781d08c09890f4",
  "sku": "sku1",
  "itemId": "123",
  "quantity": 1
}
```

### Error Response Examples

```json
{
  "message": "Bad Request"
}
```

```json
{
  "message": "Object Not Found."
}
```

```json
{
  "message": "Internal Server Error"
}
```

### Authorizations

- **Authorization** \- Required: Bearer authentication header of the form `Bearer <token>`.
